% Tm ajotiedosto piirt virhepinnan annetulla data-matriisilla.
% Mrit ensin data-matriisi x_ref ja painomatriisi R !

% Pinnan laskemisaikaa saa lyhennetty harventamalla data-matriisia
% tai pienentmll aluetta, jolla pinta lasketaan


% x_ref=??;
% R=??;


mc = 2.4;   % Vaunun massa 
mp = 0.325;   % Heilurin massa
l = 0.33;   % Heilurin varren pituus


% Mritetn alue, jolta virhepinta piirretn
fcmin = 0;   % Alaraja vaunun kitkalle
fcmax = 30;  % Ylraja vaunun kitkalle
fcstep = 2;  % Askelkoko

fpmin = 0;      % Alaraja heilurin kitkalle
fpmax = 0.02;   % Ylraja heilurin kitkalle
fpstep = 0.002; % Askelkoko


xm = fcmin:fcstep:fcmax;
ym = fpmin:fpstep:fpmax;
zm = zeros(max(size(ym)), max(size(xm)));

for ii = 1:max(size(xm))
  for jj = 1:max(size(ym))
    [f, g] = pendobj(x_ref, R, mc, mp, l, xm(ii), ym(jj));
    zm(jj, ii) = f;
  end;
  disp(ii) % seurataan edistymist
end;

figure(1);
clf;
surf(xm, ym, zm);
xlabel('vaunun kitka')
ylabel('heilurin kitka')

figure(2);
clf;
contour(xm, ym, zm);
xlabel('vaunun kitka')
ylabel('heilurin kitka')
