function [f, g] = pendobj(x_ref, R, mc, mp, l, fc, fp)
% Pendobj laskee kohdefunktion V
% ja palauttaa sen muuttujassa f

% Simuloidaan systeemi
[t1, f1] = ode45('pendode', x_ref(5, :), x_ref(1:4, 1)', [], mc, mp, l,...
    fc, fp);

res(:, 1:4) = f1(:, 1:4) - x_ref(1:4, :)';
f = diag((res(:, 1:4))*R*(res(:,1:4))');

f = sum(f);
g = [t1, f1];
